You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     amd...@freebsd.org
Last committer: kr...@freebsd.org
Ident:          $FreeBSD: head/games/apricots/Makefile 458385 2018-01-07 
21:27:59Z krion $
Log URL:        
http://beefy12.nyi.freebsd.org/data/head-amd64-default/p461678_s329188/logs/apricots-0.2.6_6.log
Build URL:      
http://beefy12.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p461678_s329188
Log:

=>> Building games/apricots
build started at Wed Feb 14 11:06:55 UTC 2018
port directory: /usr/ports/games/apricots
package name: apricots-0.2.6_6
building for: FreeBSD head-amd64-default-job-17 12.0-CURRENT FreeBSD 
12.0-CURRENT 1200058 amd64
maintained by: amd...@freebsd.org
Makefile ident:      $FreeBSD: head/games/apricots/Makefile 458385 2018-01-07 
21:27:59Z krion $
Poudriere version: 3.2.4-53-g8afae7cc
Host OSVERSION: 1200054
Jail OSVERSION: 1200058
Job Id: 17




!!! Jail is newer than host. (Jail: 1200058, Host: 1200054) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1200058
UNAME_v=FreeBSD 12.0-CURRENT 1200058
UNAME_r=12.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.4-53-g8afae7cc
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=
DEPENDS_ARGS=
MAKE_ARGS=
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for apricots-0.2.6_6:
     DOCS=on: Build and/or install documentation
     OPENAL=on: Audio support via OpenAL
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
amd...@freebsd.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
SDL_CONFIG=/usr/local/bin/sdl-config 
XDG_DATA_HOME=/wrkdirs/usr/ports/games/apricots/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/apricots/work  
HOME=/wrkdirs/usr/ports/games/apricots/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/games/apricots/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
SDL_CONFIG=/usr/local/bin/sdl-config 
XDG_DATA_HOME=/wrkdirs/usr/ports/games/apricots/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/apricots/work  
HOME=/wrkdirs/usr/ports/games/apricots/work TMPDIR="/tmp" 
PATH=/wrkdirs/usr/ports/games/apricots/work/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
 NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe  -fstack-protector -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS="-DAP_PATH="\"/usr/local/share/apricots/\"" -DAP_AUDIO_OPENAL"  
LDFLAGS=" -L/usr/local/lib -lopenal -lalut -fstack-protector" LIBS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PORTEXAMPLES="" OSREL=12.0 PREFIX=%D LOCALBASE=/usr/local  
RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/apricots"  
EXAMPLESDIR="share/examples/apricots"  DATADIR="share/apricots"  
WWWDIR="www/apricots"  ETCDIR="etc/apricots"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/apricots 
DOCSDIR=/usr/local/share/doc/apricots 
EXAMPLESDIR=/usr/local/share/examples/apricots  WWWDIR=/usr/local/www/apricots 
ETCDIR=/usr/local/etc/apricots
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
ARCH=amd64
CONFIGURE_MAX_CMD_LEN=262144
HAVE_COMPAT_IA32_KERN=YES
OPSYS=FreeBSD
OSREL=12.0
OSVERSION=1200058
PYTHONBASE=/usr/local
UID=0
_OSRELEASE=12.0-CURRENT
#### Misc Poudriere ####
GID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   apricots-0.2.6_6 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.10.4.txz
[head-amd64-default-job-17] Installing pkg-1.10.4...
[head-amd64-default-job-17] Extracting pkg-1.10.4: .......... done
===>   apricots-0.2.6_6 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of apricots-0.2.6_6
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by apricots-0.2.6_6 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by apricots-0.2.6_6 for building
=> SHA256 Checksum OK for apricots-0.2.6.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by apricots-0.2.6_6 for building
===>  Extracting for apricots-0.2.6_6
=> SHA256 Checksum OK for apricots-0.2.6.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for apricots-0.2.6_6
===>   Converting DOS text files to UNIX text files
===>  Applying FreeBSD patches for apricots-0.2.6_6
===========================================================================
=======================<phase: build-depends  >============================
===>   apricots-0.2.6_6 depends on file: /usr/local/bin/sdl-config - not found
===>   Installing existing package /packages/All/sdl-1.2.15_10,2.txz
[head-amd64-default-job-17] Installing sdl-1.2.15_10,2...
[head-amd64-default-job-17] `-- Installing aalib-1.4.r5_11...
[head-amd64-default-job-17] |   `-- Installing indexinfo-0.3.1...
[head-amd64-default-job-17] |   `-- Extracting indexinfo-0.3.1: .... done
[head-amd64-default-job-17] `-- Extracting aalib-1.4.r5_11: .......... done
[head-amd64-default-job-17] `-- Installing libGLU-9.0.0_3...
[head-amd64-default-job-17] |   `-- Installing mesa-libs-17.3.1...
[head-amd64-default-job-17] |   | `-- Installing expat-2.2.5...
[head-amd64-default-job-17] |   | `-- Extracting expat-2.2.5: .......... done
[head-amd64-default-job-17] |   | `-- Installing libX11-1.6.5,1...
[head-amd64-default-job-17] |   |   `-- Installing kbproto-1.0.7...
[head-amd64-default-job-17] |   |   `-- Extracting kbproto-1.0.7: .......... 
done
[head-amd64-default-job-17] |   |   `-- Installing libXau-1.0.8_3...
[head-amd64-default-job-17] |   |   | `-- Installing xproto-7.0.31...
[head-amd64-default-job-17] |   |   | `-- Extracting xproto-7.0.31: .......... 
done
[head-amd64-default-job-17] |   |   `-- Extracting libXau-1.0.8_3: .......... 
done
[head-amd64-default-job-17] |   |   `-- Installing libXdmcp-1.1.2...
[head-amd64-default-job-17] |   |   `-- Extracting libXdmcp-1.1.2: ......... 
done
[head-amd64-default-job-17] |   |   `-- Installing libxcb-1.12_2...
[head-amd64-default-job-17] |   |   | `-- Installing libpthread-stubs-0.4...
[head-amd64-default-job-17] |   |   | `-- Extracting libpthread-stubs-0.4: . 
done
[head-amd64-default-job-17] |   |   | `-- Installing libxml2-2.9.7...
[head-amd64-default-job-17] |   |   | `-- Extracting libxml2-2.9.7: .......... 
done
[head-amd64-default-job-17] |   |   `-- Extracting libxcb-1.12_2: .......... 
done
[head-amd64-default-job-17] |   | `-- Extracting libX11-1.6.5,1: .......... done
[head-amd64-default-job-17] |   | `-- Installing libXdamage-1.1.4_3...
[head-amd64-default-job-17] |   |   `-- Installing damageproto-1.2.1...
[head-amd64-default-job-17] |   |   `-- Extracting damageproto-1.2.1: .... done
[head-amd64-default-job-17] |   |   `-- Installing libXfixes-5.0.3...
[head-amd64-default-job-17] |   |   | `-- Installing fixesproto-5.0...
[head-amd64-default-job-17] |   |   | `-- Extracting fixesproto-5.0: .... done
[head-amd64-default-job-17] |   |   `-- Extracting libXfixes-5.0.3: .......... 
done
[head-amd64-default-job-17] |   | `-- Extracting libXdamage-1.1.4_3: ...... done
[head-amd64-default-job-17] |   | `-- Installing libXext-1.3.3_1,1...
[head-amd64-default-job-17] |   |   `-- Installing xextproto-7.3.0...
[head-amd64-default-job-17] |   |   `-- Extracting xextproto-7.3.0: .......... 
done
[head-amd64-default-job-17] |   | `-- Extracting libXext-1.3.3_1,1: .......... 
done
[head-amd64-default-job-17] |   | `-- Installing libXxf86vm-1.1.4_1...
[head-amd64-default-job-17] |   |   `-- Installing xf86vidmodeproto-2.3.1...
[head-amd64-default-job-17] |   |   `-- Extracting xf86vidmodeproto-2.3.1: .... 
done
[head-amd64-default-job-17] |   | `-- Extracting libXxf86vm-1.1.4_1: .......... 
done
[head-amd64-default-job-17] |   | `-- Installing libdrm-2.4.89,1...
[head-amd64-default-job-17] |   |   `-- Installing libpciaccess-0.13.5...
[head-amd64-default-job-17] |   |   | `-- Installing pciids-20171206...
[head-amd64-default-job-17] |   |   | `-- Extracting pciids-20171206: ..... done
[head-amd64-default-job-17] |   |   `-- Extracting libpciaccess-0.13.5: ...... 
done
[head-amd64-default-job-17] |   | `-- Extracting libdrm-2.4.89,1: .......... 
done
[head-amd64-default-job-17] |   | `-- Installing libunwind-20170615...
[head-amd64-default-job-17] |   | `-- Extracting libunwind-20170615: .......... 
done
[head-amd64-default-job-17] |   | `-- Installing libxshmfence-1.2_2...
[head-amd64-default-job-17] |   | `-- Extracting libxshmfence-1.2_2: ......... 
done
[head-amd64-default-job-17] |   `-- Extracting mesa-libs-17.3.1: .......... done
[head-amd64-default-job-17] `-- Extracting libGLU-9.0.0_3: ...... done
[head-amd64-default-job-17] `-- Installing libXrandr-1.5.1...
[head-amd64-default-job-17] |   `-- Installing libXrender-0.9.10...
[head-amd64-default-job-17] |   | `-- Installing renderproto-0.11.1...
[head-amd64-default-job-17] |   | `-- Extracting renderproto-0.11.1: .... done
[head-amd64-default-job-17] |   `-- Extracting libXrender-0.9.10: .......... 
done
[head-amd64-default-job-17] |   `-- Installing randrproto-1.5.0...
[head-amd64-default-job-17] |   `-- Extracting randrproto-1.5.0: .... done
[head-amd64-default-job-17] `-- Extracting libXrandr-1.5.1: .......... done
[head-amd64-default-job-17] Extracting sdl-1.2.15_10,2: .......... done
Message from aalib-1.4.r5_11:

===>   NOTICE:

The aalib port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from sdl-1.2.15_10,2:

------------------------------------------------------------------------------
 Your SDL library has been built with libvgl support, which means that you
 can run almost any SDL application straight on your console (VESA 2.0
 compatible videocard is required).

 To do this you have to load the vesa kernel module or enable it in your
 kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
------------------------------------------------------------------------------
===>   apricots-0.2.6_6 depends on file: /usr/local/bin/sdl-config - found
===>   Returning to build of apricots-0.2.6_6
===========================================================================
=======================<phase: lib-depends    >============================
===>   apricots-0.2.6_6 depends on shared library: libSDL.so - found 
(/usr/local/lib/libSDL.so)
===>   apricots-0.2.6_6 depends on shared library: libopenal.so.1 - not found
===>   Installing existing package /packages/All/openal-soft-1.18.2.txz
[head-amd64-default-job-17] Installing openal-soft-1.18.2...
[head-amd64-default-job-17] Extracting openal-soft-1.18.2: .......... done
Message from openal-soft-1.18.2:

===>   NOTICE:

The openal-soft port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
===>   apricots-0.2.6_6 depends on shared library: libopenal.so.1 - found 
(/usr/local/lib/libopenal.so.1)
===>   Returning to build of apricots-0.2.6_6
===>   apricots-0.2.6_6 depends on shared library: libalut.so.0 - not found
===>   Installing existing package /packages/All/freealut-1.1.0_4.txz
[head-amd64-default-job-17] Installing freealut-1.1.0_4...
[head-amd64-default-job-17] Extracting freealut-1.1.0_4: ....... done
===>   apricots-0.2.6_6 depends on shared library: libalut.so.0 - found 
(/usr/local/lib/libalut.so.0)
===>   Returning to build of apricots-0.2.6_6
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for apricots-0.2.6_6
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/games/apricots/work/apricots-0.2.6/acinclude.m4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/games/apricots/work/apricots-0.2.6/aclocal.m4
===>   FreeBSD 10 autotools fix applied to 
/wrkdirs/usr/ports/games/apricots/work/apricots-0.2.6/configure
===========================================================================
=======================<phase: build          >============================
===>  Building for apricots-0.2.6_6
cd /wrkdirs/usr/ports/games/apricots/work/apricots-0.2.6/apricots && c++ -O2 
-pipe -fstack-protector -fno-strict-aliasing  
-DAP_PATH="\"/usr/local/share/apricots/\"" -DAP_AUDIO_OPENAL  -L/usr/local/lib 
-lopenal -lalut -fstack-protector  `/usr/local/bin/sdl-config --cflags --libs` 
*.cpp -o apricots
init.cpp:91:25: error: non-constant-expression cannot be narrowed from type 
'int' to 'Uint8' (aka 'unsigned char') in initializer list [-Wc++11-narrowing]
      SDL_Color col = { red * 4, green * 4, blue * 4, 0 };
                        ^~~~~~~
init.cpp:91:25: note: insert an explicit cast to silence this issue
      SDL_Color col = { red * 4, green * 4, blue * 4, 0 };
                        ^~~~~~~
                        static_cast<Uint8>( )
init.cpp:91:34: error: non-constant-expression cannot be narrowed from type 
'int' to 'Uint8' (aka 'unsigned char') in initializer list [-Wc++11-narrowing]
      SDL_Color col = { red * 4, green * 4, blue * 4, 0 };
                                 ^~~~~~~~~
init.cpp:91:34: note: insert an explicit cast to silence this issue
      SDL_Color col = { red * 4, green * 4, blue * 4, 0 };
                                 ^~~~~~~~~
                                 static_cast<Uint8>( )
init.cpp:91:45: error: non-constant-expression cannot be narrowed from type 
'int' to 'Uint8' (aka 'unsigned char') in initializer list [-Wc++11-narrowing]
      SDL_Color col = { red * 4, green * 4, blue * 4, 0 };
                                            ^~~~~~~~
init.cpp:91:45: note: insert an explicit cast to silence this issue
      SDL_Color col = { red * 4, green * 4, blue * 4, 0 };
                                            ^~~~~~~~
                                            static_cast<Uint8>( )
init.cpp:97:28: error: non-constant-expression cannot be narrowed from type 
'int' to 'Uint8' (aka 'unsigned char') in initializer list [-Wc++11-narrowing]
      SDL_Color col = { 0, green, blue, 0 };
                           ^~~~~
init.cpp:97:28: note: insert an explicit cast to silence this issue
      SDL_Color col = { 0, green, blue, 0 };
                           ^~~~~
                           static_cast<Uint8>( )
init.cpp:97:35: error: non-constant-expression cannot be narrowed from type 
'int' to 'Uint8' (aka 'unsigned char') in initializer list [-Wc++11-narrowing]
      SDL_Color col = { 0, green, blue, 0 };
                                  ^~~~
init.cpp:97:35: note: insert an explicit cast to silence this issue
      SDL_Color col = { 0, green, blue, 0 };
                                  ^~~~
                                  static_cast<Uint8>( )
5 errors generated.
*** Error code 1

Stop.
make: stopped in /usr/ports/games/apricots
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to